Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.animation
Class StaticLocation

    java.lang.Object
      javax.vecmath.Tuple3d
          javax.vecmath.Point3d
              nl.tudelft.simulation.language.d3.CartesianPoint
                  nl.tudelft.simulation.language.d3.DirectedPoint
                      nl.tudelft.simulation.dsol.animation.StaticLocation

All Implemented Interfaces:
  java.lang.Cloneable, LocatableInterface, java.io.Serializable

public class StaticLocation
extends nl.tudelft.simulation.language.d3.DirectedPoint
implements LocatableInterface

A StaticLocation
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Mar 4, 2004
Author:
  Peter Jacobs
See Also:
  Serialized Form

Field Summary
`protected javax.media.j3d.Bounds` | `bounds` the bounds

Fields inherited from class javax.vecmath.Point3d
``

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`StaticLocation(nl.tudelft.simulation.language.d3.DirectedPoint location, javax.media.j3d.Bounds bounds)` constructs a new StaticLocation
`StaticLocation(double x, double y, double z, double theta, double phi, double rho, javax.media.j3d.Bounds bounds)` constructs a new StaticLocation
`StaticLocation(java.awt.geom.Point2D point2D, double rotZ, javax.media.j3d.Bounds bounds)` constructs a new StaticLocation

Method Summary
`javax.media.j3d.Bounds` | `getBounds()` returns the bounds of the locatable object.
`nl.tudelft.simulation.language.d3.DirectedPoint` | `getLocation()` returns the location of an object

Methods inherited from class nl.tudelft.simulation.language.d3.DirectedPoint
`clone, equals, equals, getRotX, getRotY, getRotZ, hashCode, setRotX, setRotY, setRotZ, toString`

Methods inherited from class nl.tudelft.simulation.language.d3.CartesianPoint
`to2D, toCartesianPoint, toSphericalPoint`

Methods inherited from class javax.vecmath.Point3d
`distance, distanceL1, distanceLinf, distanceSquared, project`

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clamp, clamp, clampMax, clampMax, clampMax, clampMax, clampMin, clampMin, clampMin, clampMin, epsilonEquals, get, get, interpolate, interpolate, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, scaleAdd, set, set, set, set, sub, sub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### bounds

    protected javax.media.j3d.Bounds bounds

  the bounds

Constructor Detail

### StaticLocation

    public StaticLocation(double x,
                          double y,
                          double z,
                          double theta,
                          double phi,
                          double rho,
                          javax.media.j3d.Bounds bounds)

  constructs a new StaticLocation

Parameters:
  `x` - the x location
  `y` - the y location
  `z` - the z location
  `theta` - theta
  `phi` - phi
  `rho` - rho
  `bounds` - the bounds

### StaticLocation

    public StaticLocation(java.awt.geom.Point2D point2D,
                          double rotZ,
                          javax.media.j3d.Bounds bounds)

  constructs a new StaticLocation

Parameters:
  `point2D` - the point2d
  `rotZ` - the rotation in the xy plane
  `bounds` - the bounds

### StaticLocation

    public StaticLocation(nl.tudelft.simulation.language.d3.DirectedPoint location,
                          javax.media.j3d.Bounds bounds)

  constructs a new StaticLocation

Parameters:
  `location` - the location
  `bounds` - the bounds

Method Detail

### getLocation

    public nl.tudelft.simulation.language.d3.DirectedPoint getLocation()

  Description copied from interface: `LocatableInterface`
  returns the location of an object

  Specified by:
    `getLocation` in interface `LocatableInterface`
  Returns:
    DirectedPoint the location
  See Also:
    `#getLocation()`

### getBounds

    public javax.media.j3d.Bounds getBounds()

  Description copied from interface: `LocatableInterface`
  returns the bounds of the locatable object. The bounds is the not rotated bounds around [0;0;0]

  Specified by:
    `getBounds` in interface `LocatableInterface`
  Returns:
    BoundingBox include this.getLocation() as center of the box..
  See Also:
    `#getBounds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.